Forum: JRuby Rake Can't Require Logging Gem?

486ca04f06d968004643ce5b47376ded?d=identicon&s=25 Keith B. (keith_b)
on 2013-05-10 18:43
(Received via mailing list)
All -

I'm trying to use the "logging" gem for the first time, and have a
problem.

If I have this file, x_spec.rb:

require 'rspec'
require 'logging'

...then I get this output when I run rspec x_spec.rb:

> rspec x_spec.rb
LoadError: no such file to load -- logging
          require at org/jruby/RubyKernel.java:1027
           (root) at
/Users/kbennett/work/small-projects/ruby-validator/x_spec.rb:2

Interestingly, if I load with ruby instead of rspec,it works (which also
proves that the gem is installed):

> ruby x_spec.rb
>

If I run rspec in MRI 1.9, it works:

> rspec x_spec.rb
No examples found.


Finished in 0.00006 seconds
0 examples, 0 failures
>

What's going on?  Am I missing something simple?

Thanks for any help,
Keith
486ca04f06d968004643ce5b47376ded?d=identicon&s=25 Keith B. (keith_b)
on 2013-05-10 20:19
(Received via mailing list)
Now this appears not to work for MRI 1.9 as well. ;(

- Keith
Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.